<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>book-list-app documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	      <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">book-list-app documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content overview">
                   <div class="content-data">


<ol class="breadcrumb">
    <li>Overview</li>
</ol>
  
<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.47.0 (20210316.0004)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="1514pt" height="428pt"
 viewBox="0.00 0.00 1514.00 428.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 424)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-424 1510,-424 1510,4 -4,4"/>
<text text-anchor="start" x="732.01" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="519,-10 519,-30 539,-30 539,-10 519,-10"/>
<text text-anchor="start" x="542.63" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="632,-10 632,-30 652,-30 652,-10 632,-10"/>
<text text-anchor="start" x="655.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="718,-10 718,-30 738,-30 738,-10 718,-10"/>
<text text-anchor="start" x="741.78" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="815,-10 815,-30 835,-30 835,-10 815,-10"/>
<text text-anchor="start" x="838.67" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="911,-10 911,-30 931,-30 931,-10 911,-10"/>
<text text-anchor="start" x="934.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="342,-214 342,-412 1350,-412 1350,-214 342,-214"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AppModule_declarations</title>
<polygon fill="none" stroke="black" points="612,-222 612,-274 1342,-274 1342,-222 612,-222"/>
</g>
<g id="clust8" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="496,-222 496,-274 604,-274 604,-222 496,-222"/>
</g>
<g id="clust10" class="cluster">
<title>cluster_AppModule_bootstrap</title>
<polygon fill="none" stroke="black" points="790,-352 790,-404 914,-404 914,-352 790,-352"/>
</g>
<g id="clust11" class="cluster">
<title>cluster_AppModule_providers</title>
<polygon fill="none" stroke="black" points="350,-222 350,-274 488,-274 488,-222 350,-222"/>
</g>
<g id="clust12" class="cluster">
<title>cluster_NavModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="1358,-70 1358,-282 1498,-282 1498,-70 1358,-70"/>
</g>
<g id="clust13" class="cluster">
<title>cluster_NavModule_declarations</title>
<polygon fill="none" stroke="black" points="1367,-78 1367,-130 1487,-130 1487,-78 1367,-78"/>
</g>
<g id="clust16" class="cluster">
<title>cluster_NavModule_exports</title>
<polygon fill="none" stroke="black" points="1366,-222 1366,-274 1490,-274 1490,-222 1366,-222"/>
</g>
<g id="clust19" class="cluster">
<title>cluster_PagesModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-138 8,-206 1083,-206 1083,-138 8,-138"/>
</g>
<g id="clust20" class="cluster">
<title>cluster_PagesModule_declarations</title>
<polygon fill="none" stroke="black" points="562,-146 562,-198 1075,-198 1075,-146 562,-146"/>
</g>
<g id="clust25" class="cluster">
<title>cluster_PagesModule_imports</title>
<polygon fill="none" stroke="black" points="400,-146 400,-198 554,-198 554,-146 400,-146"/>
</g>
<g id="clust26" class="cluster">
<title>cluster_PagesModule_exports</title>
<polygon fill="none" stroke="black" points="16,-146 16,-198 392,-198 392,-146 16,-146"/>
</g>
<!-- AppComponent -->
<g id="node1" class="node">
<title>AppComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1333.94,-266 1228.06,-266 1228.06,-230 1333.94,-230 1333.94,-266"/>
<text text-anchor="middle" x="1281" y="-243.8" font-family="Times,serif" font-size="14.00">AppComponent</text>
</g>
<!-- AppModule -->
<g id="node6" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="893.66,-331 890.66,-335 869.66,-335 866.66,-331 810.34,-331 810.34,-295 893.66,-295 893.66,-331"/>
<text text-anchor="middle" x="852" y="-308.8" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- AppComponent&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AppComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1281,-266.29C1281,-288.21 1281,-322 1281,-322 1281,-322 903.92,-322 903.92,-322"/>
<polygon fill="black" stroke="black" points="903.92,-318.5 893.92,-322 903.92,-325.5 903.92,-318.5"/>
</g>
<!-- DashboardComponent -->
<g id="node2" class="node">
<title>DashboardComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1209.97,-266 1068.03,-266 1068.03,-230 1209.97,-230 1209.97,-266"/>
<text text-anchor="middle" x="1139" y="-243.8" font-family="Times,serif" font-size="14.00">DashboardComponent</text>
</g>
<!-- DashboardComponent&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>DashboardComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1139,-266.11C1139,-285.34 1139,-313 1139,-313 1139,-313 903.73,-313 903.73,-313"/>
<polygon fill="black" stroke="black" points="903.73,-309.5 893.73,-313 903.73,-316.5 903.73,-309.5"/>
</g>
<!-- SignInComponent -->
<g id="node3" class="node">
<title>SignInComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1050.17,-266 931.83,-266 931.83,-230 1050.17,-230 1050.17,-266"/>
<text text-anchor="middle" x="991" y="-243.8" font-family="Times,serif" font-size="14.00">SignInComponent</text>
</g>
<!-- SignInComponent&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>SignInComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M991,-266.03C991,-282.4 991,-304 991,-304 991,-304 903.7,-304 903.7,-304"/>
<polygon fill="black" stroke="black" points="903.7,-300.5 893.7,-304 903.7,-307.5 903.7,-300.5"/>
</g>
<!-- SignUpComponent -->
<g id="node4" class="node">
<title>SignUpComponent</title>
<polygon fill="#ffffb3" stroke="black" points="914.11,-266 789.89,-266 789.89,-230 914.11,-230 914.11,-266"/>
<text text-anchor="middle" x="852" y="-243.8" font-family="Times,serif" font-size="14.00">SignUpComponent</text>
</g>
<!-- SignUpComponent&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>SignUpComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M852,-266.11C852,-266.11 852,-284.99 852,-284.99"/>
<polygon fill="black" stroke="black" points="848.5,-284.99 852,-294.99 855.5,-284.99 848.5,-284.99"/>
</g>
<!-- VerifyEmailComponent -->
<g id="node5" class="node">
<title>VerifyEmailComponent</title>
<polygon fill="#ffffb3" stroke="black" points="771.8,-266 620.2,-266 620.2,-230 771.8,-230 771.8,-266"/>
<text text-anchor="middle" x="696" y="-243.8" font-family="Times,serif" font-size="14.00">VerifyEmailComponent</text>
</g>
<!-- VerifyEmailComponent&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>VerifyEmailComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M696,-266.03C696,-282.4 696,-304 696,-304 696,-304 800.19,-304 800.19,-304"/>
<polygon fill="black" stroke="black" points="800.19,-307.5 810.19,-304 800.19,-300.5 800.19,-307.5"/>
</g>
<!-- AppComponent  -->
<g id="node8" class="node">
<title>AppComponent </title>
<polygon fill="#80b1d3" stroke="black" points="906.44,-396 797.56,-396 797.56,-360 906.44,-360 906.44,-396"/>
<text text-anchor="middle" x="852" y="-373.8" font-family="Times,serif" font-size="14.00">AppComponent </text>
</g>
<!-- AppModule&#45;&gt;AppComponent  -->
<g id="edge7" class="edge">
<title>AppModule&#45;&gt;AppComponent </title>
<path fill="none" stroke="black" stroke-dasharray="1,5" d="M852,-331.11C852,-331.11 852,-349.99 852,-349.99"/>
<polygon fill="black" stroke="black" points="848.5,-349.99 852,-359.99 855.5,-349.99 848.5,-349.99"/>
</g>
<!-- PagesModule -->
<g id="node7" class="node">
<title>PagesModule</title>
<polygon fill="#8dd3c7" stroke="black" points="596.21,-266 593.21,-270 572.21,-270 569.21,-266 503.79,-266 503.79,-230 596.21,-230 596.21,-266"/>
<text text-anchor="middle" x="550" y="-243.8" font-family="Times,serif" font-size="14.00">PagesModule</text>
</g>
<!-- PagesModule&#45;&gt;AppModule -->
<g id="edge6" class="edge">
<title>PagesModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M550,-266.11C550,-285.34 550,-313 550,-313 550,-313 800.33,-313 800.33,-313"/>
<polygon fill="black" stroke="black" points="800.33,-316.5 810.33,-313 800.33,-309.5 800.33,-316.5"/>
</g>
<!-- HomeComponent  -->
<g id="node18" class="node">
<title>HomeComponent </title>
<polygon fill="#fb8072" stroke="black" points="383.54,-190 264.46,-190 264.46,-154 383.54,-154 383.54,-190"/>
<text text-anchor="middle" x="324" y="-167.8" font-family="Times,serif" font-size="14.00">HomeComponent </text>
</g>
<!-- PagesModule&#45;&gt;HomeComponent  -->
<g id="edge17" class="edge">
<title>PagesModule&#45;&gt;HomeComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M528.96,-229.76C528.96,-214.43 528.96,-195 528.96,-195 528.96,-195 370.8,-195 370.8,-195 370.8,-195 370.8,-194.51 370.8,-194.51"/>
<polygon fill="black" stroke="black" points="374.3,-200.12 370.8,-190.12 367.3,-200.12 374.3,-200.12"/>
</g>
<!-- NavModule  -->
<g id="node19" class="node">
<title>NavModule </title>
<polygon fill="#fb8072" stroke="black" points="246.37,-190 159.63,-190 159.63,-154 246.37,-154 246.37,-190"/>
<text text-anchor="middle" x="203" y="-167.8" font-family="Times,serif" font-size="14.00">NavModule </text>
</g>
<!-- PagesModule&#45;&gt;NavModule  -->
<g id="edge18" class="edge">
<title>PagesModule&#45;&gt;NavModule </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M520.6,-229.85C520.6,-216.26 520.6,-200 520.6,-200 520.6,-200 203,-200 203,-200 203,-200 203,-199.02 203,-199.02"/>
<polygon fill="black" stroke="black" points="206.5,-200.21 203,-190.21 199.5,-200.21 206.5,-200.21"/>
</g>
<!-- PagesComponent  -->
<g id="node20" class="node">
<title>PagesComponent </title>
<polygon fill="#fb8072" stroke="black" points="141.99,-190 24.01,-190 24.01,-154 141.99,-154 141.99,-190"/>
<text text-anchor="middle" x="83" y="-167.8" font-family="Times,serif" font-size="14.00">PagesComponent </text>
</g>
<!-- PagesModule&#45;&gt;PagesComponent  -->
<g id="edge19" class="edge">
<title>PagesModule&#45;&gt;PagesComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M512.25,-229.51C512.25,-217.86 512.25,-205 512.25,-205 512.25,-205 83,-205 83,-205 83,-205 83,-200.04 83,-200.04"/>
<polygon fill="black" stroke="black" points="86.5,-200.04 83,-190.04 79.5,-200.04 86.5,-200.04"/>
</g>
<!-- BookService -->
<g id="node9" class="node">
<title>BookService</title>
<ellipse fill="#fdb462" stroke="black" cx="419" cy="-248" rx="60.84" ry="18"/>
<text text-anchor="middle" x="419" y="-243.8" font-family="Times,serif" font-size="14.00">BookService</text>
</g>
<!-- BookService&#45;&gt;AppModule -->
<g id="edge8" class="edge">
<title>BookService&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M419,-266.29C419,-288.21 419,-322 419,-322 419,-322 800.09,-322 800.09,-322"/>
<polygon fill="black" stroke="black" points="800.09,-325.5 810.09,-322 800.09,-318.5 800.09,-325.5"/>
</g>
<!-- NavComponent -->
<g id="node10" class="node">
<title>NavComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1479.15,-122 1374.85,-122 1374.85,-86 1479.15,-86 1479.15,-122"/>
<text text-anchor="middle" x="1427" y="-99.8" font-family="Times,serif" font-size="14.00">NavComponent</text>
</g>
<!-- NavModule -->
<g id="node11" class="node">
<title>NavModule</title>
<polygon fill="#8dd3c7" stroke="black" points="1468.37,-190 1465.37,-194 1444.37,-194 1441.37,-190 1385.63,-190 1385.63,-154 1468.37,-154 1468.37,-190"/>
<text text-anchor="middle" x="1427" y="-167.8" font-family="Times,serif" font-size="14.00">NavModule</text>
</g>
<!-- NavComponent&#45;&gt;NavModule -->
<g id="edge9" class="edge">
<title>NavComponent&#45;&gt;NavModule</title>
<path fill="none" stroke="black" d="M1427,-122.22C1427,-122.22 1427,-143.73 1427,-143.73"/>
<polygon fill="black" stroke="black" points="1423.5,-143.73 1427,-153.73 1430.5,-143.73 1423.5,-143.73"/>
</g>
<!-- NavModule&#45;&gt;PagesModule -->
<g id="edge15" class="edge">
<title>NavModule&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M1413.19,-190.24C1413.19,-205.57 1413.19,-225 1413.19,-225 1413.19,-225 591.71,-225 591.71,-225 591.71,-225 591.71,-225.49 591.71,-225.49"/>
<polygon fill="black" stroke="black" points="588.21,-219.88 591.71,-229.88 595.21,-219.88 588.21,-219.88"/>
</g>
<!-- NavComponent  -->
<g id="node12" class="node">
<title>NavComponent </title>
<polygon fill="#fb8072" stroke="black" points="1482.15,-266 1373.85,-266 1373.85,-230 1482.15,-230 1482.15,-266"/>
<text text-anchor="middle" x="1428" y="-243.8" font-family="Times,serif" font-size="14.00">NavComponent </text>
</g>
<!-- NavModule&#45;&gt;NavComponent  -->
<g id="edge10" class="edge">
<title>NavModule&#45;&gt;NavComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M1440.81,-190.01C1440.81,-190.01 1440.81,-219.85 1440.81,-219.85"/>
<polygon fill="black" stroke="black" points="1437.31,-219.85 1440.81,-229.85 1444.31,-219.85 1437.31,-219.85"/>
</g>
<!-- AddComponent -->
<g id="node13" class="node">
<title>AddComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1066.94,-190 961.06,-190 961.06,-154 1066.94,-154 1066.94,-190"/>
<text text-anchor="middle" x="1014" y="-167.8" font-family="Times,serif" font-size="14.00">AddComponent</text>
</g>
<!-- AddComponent&#45;&gt;PagesModule -->
<g id="edge11" class="edge">
<title>AddComponent&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M1005.81,-190.15C1005.81,-203.74 1005.81,-220 1005.81,-220 1005.81,-220 587.31,-220 587.31,-220 587.31,-220 587.31,-220.98 587.31,-220.98"/>
<polygon fill="black" stroke="black" points="583.81,-219.79 587.31,-229.79 590.81,-219.79 583.81,-219.79"/>
</g>
<!-- HomeComponent -->
<g id="node14" class="node">
<title>HomeComponent</title>
<polygon fill="#ffffb3" stroke="black" points="943.55,-190 828.45,-190 828.45,-154 943.55,-154 943.55,-190"/>
<text text-anchor="middle" x="886" y="-167.8" font-family="Times,serif" font-size="14.00">HomeComponent</text>
</g>
<!-- HomeComponent&#45;&gt;PagesModule -->
<g id="edge12" class="edge">
<title>HomeComponent&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M871.14,-190.49C871.14,-202.14 871.14,-215 871.14,-215 871.14,-215 582.92,-215 582.92,-215 582.92,-215 582.92,-219.96 582.92,-219.96"/>
<polygon fill="black" stroke="black" points="579.42,-219.96 582.92,-229.96 586.42,-219.96 579.42,-219.96"/>
</g>
<!-- PagesComponent -->
<g id="node15" class="node">
<title>PagesComponent</title>
<polygon fill="#ffffb3" stroke="black" points="809.99,-190 696.01,-190 696.01,-154 809.99,-154 809.99,-190"/>
<text text-anchor="middle" x="753" y="-167.8" font-family="Times,serif" font-size="14.00">PagesComponent</text>
</g>
<!-- PagesComponent&#45;&gt;PagesModule -->
<g id="edge13" class="edge">
<title>PagesComponent&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M733.83,-190.11C733.83,-199.9 733.83,-210 733.83,-210 733.83,-210 578.53,-210 578.53,-210 578.53,-210 578.53,-219.89 578.53,-219.89"/>
<polygon fill="black" stroke="black" points="575.03,-219.89 578.53,-229.89 582.03,-219.89 575.03,-219.89"/>
</g>
<!-- ReduceTextPipe -->
<g id="node16" class="node">
<title>ReduceTextPipe</title>
<polygon fill="#ffffb3" stroke="black" points="678.03,-190 569.97,-190 569.97,-154 678.03,-154 678.03,-190"/>
<text text-anchor="middle" x="624" y="-167.8" font-family="Times,serif" font-size="14.00">ReduceTextPipe</text>
</g>
<!-- ReduceTextPipe&#45;&gt;PagesModule -->
<g id="edge14" class="edge">
<title>ReduceTextPipe&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M574.13,-190.01C574.13,-190.01 574.13,-219.85 574.13,-219.85"/>
<polygon fill="black" stroke="black" points="570.63,-219.85 574.13,-229.85 577.63,-219.85 570.63,-219.85"/>
</g>
<!-- PagesRoutingModule -->
<g id="node17" class="node">
<title>PagesRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="545.82,-190 542.82,-194 521.82,-194 518.82,-190 408.18,-190 408.18,-154 545.82,-154 545.82,-190"/>
<text text-anchor="middle" x="477" y="-167.8" font-family="Times,serif" font-size="14.00">PagesRoutingModule</text>
</g>
<!-- PagesRoutingModule&#45;&gt;PagesModule -->
<g id="edge16" class="edge">
<title>PagesRoutingModule&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M537.31,-190.01C537.31,-190.01 537.31,-219.85 537.31,-219.85"/>
<polygon fill="black" stroke="black" points="533.81,-219.85 537.31,-229.85 540.81,-219.85 533.81,-219.85"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
  
<div class="container-fluid overview">
    <div class="row">
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-archive"></span></h4>
                    <p class="card-text">
                        <a href="./modules.html">4 Modules</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-cog"></span></h4>
                    <p class="card-text">10 Components</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-arrow-round-down"></span></h4>
                    <p class="card-text">2 Injectables</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-add"></span></h4>
                    <p class="card-text">1 Pipe</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-lock"></span></h4>
                    <p class="card-text">1 Guard</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-information-circle-outline"></span></h4>
                    <p class="card-text">4 Interfaces</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-git-branch"></span></h4>
                    <p class="card-text">
                        <a href="./routes.html">8 Routes</a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="js/libs/svg-pan-zoom.min.js"></script>
<script src="js/svg-pan-zoom.controls.js"></script> 











                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'overview';
            var COMPODOC_CURRENT_PAGE_URL = 'overview.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="./js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="./js/menu-wc.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
